# This file created by conda-build 3.20.0
# meta.yaml template originally from:
# /opt/concourse/worker/volumes/live/e718992d-d658-4156-68c7-6c8c262b00f0/volume/rsync-recipes/spyder-4.1.5-python_3.6-on-osx, last modified Wed Sep  2 09:23:11 2020
# ------------------------------------------------

package:
    name: spyder
    version: 4.1.5
source:
    patches:
        - osx-zmq.patch
    sha256: d467f020b694193873a237ce6744ae36bd5a59f4d2b7ffbeb15dda68b03f5aa1
    url: https://pypi.io/packages/source/s/spyder/spyder-4.1.5.tar.gz
build:
    entry_points:
        - spyder = spyder.app.start:main
    number: '0'
    osx_is_app: true
    string: py36_0
requirements:
    host:
        - ca-certificates 2020.7.22 0
        - certifi 2020.6.20 py36_0
        - libcxx 10.0.0 1
        - libedit 3.1.20191231 h1de35cc_1
        - libffi 3.3 hb1e8313_2
        - ncurses 6.2 h0a44026_1
        - openssl 1.1.1g h1de35cc_0
        - pip 20.2.2 py36_0
        - python 3.6.10 hf48f09d_2
        - readline 8.0 h1de35cc_0
        - setuptools 49.6.0 py36_0
        - sqlite 3.33.0 hffcf06c_0
        - tk 8.6.10 hb0a8c7a_0
        - wheel 0.35.1 py_0
        - xz 5.2.5 h1de35cc_0
        - zlib 1.2.11 h1de35cc_3
    run:
        - applaunchservices >=0.1.7
        - atomicwrites >=1.2.0
        - chardet >=2.0.0
        - cloudpickle >=0.5.0
        - diff-match-patch >=20181111
        - intervaltree
        - jedi 0.17.1.*
        - keyring
        - nbconvert >=4.0
        - numpydoc >=0.6.0
        - parso 0.7.0.*
        - pexpect >=4.4.0
        - pickleshare >=0.4
        - psutil >=5.3
        - pygments >=2.0
        - pylint >=1.0
        - pyqt >=5.6,<5.13
        - python >=3.6,<3.7.0a0
        - python-language-server >=0.34.0,<1.0.0
        - python.app
        - pyzmq >=17
        - qdarkstyle >=2.8
        - qtawesome >=0.5.7
        - qtconsole >=4.6.0
        - qtpy >=1.5.0
        - rtree >=0.8.3
        - sphinx >=0.6.6
        - spyder-kernels >=1.9.4,<1.10.0
        - watchdog
test:
    commands:
        - USER=test spyder -h
    imports:
        - spyder
app:
    entry: spyder
    icon: logo.png
    summary: The Scientific Python Development Environment
    type: desk
about:
    description: 'Spyder is a powerful scientific environment written in Python, for
        Python,

        and designed by and for scientists, engineers and data analysts.

        It features a unique combination of the advanced editing, analysis,

        debugging and profiling functionality of a comprehensive development tool

        with the data exploration, interactive execution, deep inspection and

        beautiful visualization capabilities of a scientific package.\n

        Furthermore, Spyder offers built-in integration with many popular

        scientific packages, including NumPy, SciPy, Pandas, IPython, QtConsole,

        Matplotlib, SymPy, and more.\n

        Beyond its many built-in features, Spyder can be extended even further via

        third-party plugins.\n

        Spyder can also be used as a PyQt5 extension library, allowing you to build

        upon its functionality and embed its components, such as the interactive

        console or advanced editor, in your own software.

        '
    dev_url: https://github.com/spyder-ide/spyder
    doc_url: https://docs.spyder-ide.org/
    home: https://www.spyder-ide.org/
    license: MIT
    license_file: LICENSE.txt
    summary: The Scientific Python Development Environment
extra:
    copy_test_source_files: true
    final: true
    recipe-maintainers:
        - ccordoba12
        - dalthviz
